commit: 677044aaea47f268028b7ae782eac52263f3068c
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 20 18:57:14 2017 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Jun 20 18:57:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=677044aa
dev-python/oslo-config: 3.22.1 bup
Package-Manager: Portage-2.3.6, Repoman-2.3.2
dev-python/oslo-config/Manifest | 1 +
dev-python/oslo-config/oslo-config-3.22.1.ebuild | 73 ++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/dev-python/oslo-config/Manifest b/dev-python/oslo-config/Manifest
index 44e5f023a9c..d315a48046a 100644
--- a/dev-python/oslo-config/Manifest
+++ b/dev-python/oslo-config/Manifest
@@ -1 +1,2 @@
DIST oslo-config-3.22.0.tar.gz 118255 SHA256
6b7d341d8bdce8026028485f8238ee7865edb123ffb5f916956ed52f37de3e47 SHA512
2bc8b18f32baffc91a06b2b94b0adbe36c921d89b2737328689cec6646a0f8c34d9e015b330001ccdfcb606b381a27adeaa8da9461eee701f63f0edf963f43b8
WHIRLPOOL
9632b429b16d0b5764001cf046113fd6d97dc9154452b3e5c7f54c9be939e7ecf759e5f74e4aca75d9911a9fb0c0ca1c90b779b070ac5beb9b00cb82870cfbfe
+DIST oslo-config-3.22.1.tar.gz 117975 SHA256
94992fce59bdd654632275527d479ca9426ea0fe43c97cf7fc74305a96e1bb92 SHA512
af84f132d33b1fc4a63f4006231bfe09bd2a1ed0236e14e79d6013d7c697814a23f9318666186a6916c00f0157c2df227ed07fd874a65129e0cc686a90e82704
WHIRLPOOL
fbb8f69af03d03e1c533b12011820abb04a603e2312281aa6f1d223fc074549ee53daf311a3313cd9fea29b54d4108d68deec35ac3e6b9a5c99f8cc1e21366d7
diff --git a/dev-python/oslo-config/oslo-config-3.22.1.ebuild
b/dev-python/oslo-config/oslo-config-3.22.1.ebuild
new file mode 100644
index 00000000000..70927171629
--- /dev/null
+++ b/dev-python/oslo-config/oslo-config-3.22.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1 vcs-snapshot
+
+MY_PN=${PN/-/.}
+
+DESCRIPTION="Oslo Configuration API"
+HOMEPAGE="https://launchpad.net/oslo"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND=">=dev-python/pbr-1.3[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+ >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0[${PYTHON_USEDEP}]
+ >=dev-python/bandit-1.1.0[${PYTHON_USEDEP}]
+ )
+ doc? (
+ >=dev-python/oslo-sphinx-4.7.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.2.1[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.4[${PYTHON_USEDEP}]
+ >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.7.13[${PYTHON_USEDEP}]
+ !~dev-python/netaddr-0.7.16[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.17.1[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-0.3.1[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ use doc && esetup.py build_sphinx
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ rm -rf .testrepository || die "could not remove '.testrepository' under
${EPTYHON}"
+
+ testr init || die "testr init failed under ${EPYTHON}"
+ testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+
+ distutils-r1_python_install_all
+}